Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class PanelMenuGroupRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.PanelMenuRendererBase
                      org.richfaces.renderkit.html.PanelMenuGroupRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  HtmlPanelMenuGroupRenderer

    public class PanelMenuGroupRenderer

extends PanelMenuRendererBase

Field Summary

Fields inherited from class org.richfaces.renderkit.PanelMenuRendererBase
`PANEL_MENU_SPACER_ICON_NAME`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`PanelMenuGroupRenderer()`

Method Summary
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class` | `getComponentClass()`
`java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object submittedValue)`
`java.lang.String` | `getDivClass(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `getFullStyle(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `getFullStyleClass(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `getIconClass(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String align)`
`java.lang.String` | `getLabelClass(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `getSelectedClass(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `getTableClass(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `insertImage(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object data)`
`void` | `insertLabel(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`boolean` | `isOpened(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`boolean` | `isSelected(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.PanelMenuRendererBase
`calculateLevel, drawIcon, findMenu, getHideStyle, getIconByType, getItemMode, insertSpacerImages, isChildrenExpanded, isParentDisabled, isSubmitted, isTopLevel`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PanelMenuGroupRenderer

    public PanelMenuGroupRenderer()

Method Detail

### getComponentClass

    protected java.lang.Class getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Overrides:
    `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

### insertImage

    public void insertImage(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component,
                            java.lang.Object data)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFullStyleClass

    public java.lang.String getFullStyleClass(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component)

### getFullStyle

    public java.lang.String getFullStyle(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component)

### insertLabel

    public void insertLabel(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Overrides:
    `insertLabel` in class `PanelMenuRendererBase`
  Throws:
    `java.io.IOException`

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Overrides:
    `getConvertedValue` in class `javax.faces.render.Renderer`
  Throws:
    `javax.faces.convert.ConverterException`

### isOpened

    public boolean isOpened(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSelectedClass

    public java.lang.String getSelectedClass(javax.faces.context.FacesContext context,
                                             javax.faces.component.UIComponent component)

### getLabelClass

    public java.lang.String getLabelClass(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component)

### getIconClass

    public java.lang.String getIconClass(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component,
                                         java.lang.String align)

### getDivClass

    public java.lang.String getDivClass(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component)

### getTableClass

    public java.lang.String getTableClass(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component)

### isSelected

    public boolean isSelected(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.